# $Revision: 1.4 $, $Date: 2004/04/19 22:22:14 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Date
%define pnam	Chinese
Summary:	Date::Chinese - calculate dates in the Chinese calendar
Summary(pl):	Date::Chinese - obliczanie dat w kalendarzu chiskim
Name:		perl-Date-Chinese
Version:	1.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eacb27452890572fadf9d5b6b137d3ff
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Date::Chinese is Perlish interface to the Chinese Calendar.

%description -l pl
Date::Chinese stanowi interfejs perlowy do kalendarza chiskiego.

%prep
%setup -q -n %{pdir}-%{pnam}-1.3

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Date/Chinese.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Chinese.spec,v $
Revision 1.4  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.3  2004/04/13 11:13:46  ankry
- caps cosmetics

Revision 1.2  2004/04/11 22:52:59  qboosh
- pl, noarch

Revision 1.1  2004/04/11 16:30:35  agaran
new spec, poor description
